# Interface TestIterationListener

All Known Subinterfaces:
  `TestListener`

All Known Implementing Classes:
  `AccessLogSampler, AjpSampler, AuthManager, CacheManager, CookieManager, DNSCacheManager, HTTPSampler, HTTPSampler2, HTTPSamplerBase, HTTPSamplerProxy, SoapSampler, WebServiceSampler`

public interface TestIterationListener

## Method Summary

Modifier and Type
Method
Description
`void`
`testIterationStart(LoopIterationEvent event)`
Each time through a Thread Group's test script, an iteration event is fired for each thread.

## Method Details

### testIterationStart

void testIterationStart(LoopIterationEvent event)
Each time through a Thread Group's test script, an iteration event is fired for each thread. This will be after the test elements have been cloned, so in general the instance will not be the same as the ones the start/end methods call.

Parameters:
  `event` - the iteration event